QGIS Application - Feature request #10883
DB Manager: add a timer to the SQL window
2014-07-12 04:58 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 19251
Description

It would be useful to add a timer to the SQL window, such as the one that exists in pgadmin. Sometimes DB Manager crashes when
running heavy queries and its hard to tell whether it's running or not. With a timer it would be possible to see if the query is still running.

History

#1 - 2014-07-25 04:07 PM - Giuseppe Sucameli

Sometimes DB Manager crashes when running heavy queries

crashes or freezes?

#2 - 2014-07-26 01:23 AM - Filipe Dias

Poor choice of words: freezes as in becomes unresponsive.

| observed this with a query that takes ~5 minutes in pgadmin. When | run it in QGIS, DB Manager freezes after a while and 20 minutes later it's still frozen.

#3 - 2015-09-04 12:02 PM - Giuseppe Sucameli

- Resolution set to wontfix

- Status changed from Open to Closed

I'm closing it.
Adding a timer or something similar doesn't help. If the execution is stuck within the database, the timer doesn't tick.
You will see the timer running once the query execution is finished, not while the query is running.
